/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    MemoryX::ArmarXObjects::GraphImportExport
 * @author     Rainer Kartmann ( rainer dot kartmann at kit dot edu )
 * @date       2021
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include <armarx/navigation/graph/aron/Graph.aron.generated.h>

#include <SemanticObjectRelations/RelationGraph/RelationGraph.h>


namespace armarx::nav::graph
{

    struct VertexAttribs : public semrel::ShapeVertex
    {
        armarx::nav::graph::arondto::Vertex aron;
    };
    struct EdgeAttribs
    {
        armarx::nav::graph::arondto::Edge aron;
    };
    struct GraphAttribs
    {
    };

    using Graph = semrel::RelationGraph<VertexAttribs, EdgeAttribs, GraphAttribs>;


    void toAron(arondto::Graph& dto, const Graph& bo);
    void fromAron(const arondto::Graph& dto, Graph& bo);

}
